## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%bcond_without check

%global srcname myrepos-utils

Name:           python-%{srcname}
Version:        0.0.2
Release:        %autorelease
Summary:        Additional utilities for myrepos

License:        GPLv2+
URL:            https://git.sr.ht/~michel-slm/myrepos-utils
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Additional utilities for myrepos.}

%description %_description


%package -n %{srcname}
Summary:        %{summary}
Requires:       myrepos

%description -n %{srcname} %_description


%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-r requirements-test.txt}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files myrepos_utils


%check
%pyproject_check_import myrepos_utils
%if %{with check}
%pytest -v
%endif


%files -n %{srcname} -f %{pyproject_files}
%doc README.md
%license COPYING.md
%{_bindir}/mr-utils


%changelog
* Tue Mar 29 2022 Michel Alexandre Salim <salimma@fedoraproject.org> 0.0.2-2
- Fix license

* Tue Mar 29 2022 Michel Alexandre Salim <salimma@fedoraproject.org> 0.0.2-1
- Update to 0.0.2

* Mon Mar 28 2022 Michel Alexandre Salim <salimma@fedoraproject.org> 0.0.1.1-1
- Initial Fedora package
